aagc.vo

## Class InterventoPAIResponse

- java.lang.Object
- - aagc.vo.InterventoPAIResponse

-     public class InterventoPAIResponse
      extends java.lang.Object

  Classe Java per interventoPAIResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="interventoPAIResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idInterventoPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codCategoriaOperatore">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codTipoIntervento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codTipoFrequenza">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numAccessi">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="5"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="elencoAttivitaAssistenziale">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="attivitaAssistenziale" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}attivitaAssistenzialeResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="codStrutturaSanitaria" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InterventoPAIResponse.ElencoAttivitaAssistenziale` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codCategoriaOperatore`
    `protected java.lang.String` | `codStrutturaSanitaria`
    `protected java.lang.String` | `codTipoFrequenza`
    `protected java.lang.String` | `codTipoIntervento`
    `protected InterventoPAIResponse.ElencoAttivitaAssistenziale` | `elencoAttivitaAssistenziale`
    `protected java.lang.String` | `idInterventoPAI`
    `protected java.lang.String` | `numAccessi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterventoPAIResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodCategoriaOperatore()` Recupera il valore della proprietà codCategoriaOperatore.
    `java.lang.String` | `getCodStrutturaSanitaria()` Recupera il valore della proprietà codStrutturaSanitaria.
    `java.lang.String` | `getCodTipoFrequenza()` Recupera il valore della proprietà codTipoFrequenza.
    `java.lang.String` | `getCodTipoIntervento()` Recupera il valore della proprietà codTipoIntervento.
    `InterventoPAIResponse.ElencoAttivitaAssistenziale` | `getElencoAttivitaAssistenziale()` Recupera il valore della proprietà elencoAttivitaAssistenziale.
    `java.lang.String` | `getIdInterventoPAI()` Recupera il valore della proprietà idInterventoPAI.
    `java.lang.String` | `getNumAccessi()` Recupera il valore della proprietà numAccessi.
    `void` | `setCodCategoriaOperatore(java.lang.String value)` Imposta il valore della proprietà codCategoriaOperatore.
    `void` | `setCodStrutturaSanitaria(java.lang.String value)` Imposta il valore della proprietà codStrutturaSanitaria.
    `void` | `setCodTipoFrequenza(java.lang.String value)` Imposta il valore della proprietà codTipoFrequenza.
    `void` | `setCodTipoIntervento(java.lang.String value)` Imposta il valore della proprietà codTipoIntervento.
    `void` | `setElencoAttivitaAssistenziale(InterventoPAIResponse.ElencoAttivitaAssistenziale value)` Imposta il valore della proprietà elencoAttivitaAssistenziale.
    `void` | `setIdInterventoPAI(java.lang.String value)` Imposta il valore della proprietà idInterventoPAI.
    `void` | `setNumAccessi(java.lang.String value)` Imposta il valore della proprietà numAccessi.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idInterventoPAI

          protected java.lang.String idInterventoPAI

    - #### codCategoriaOperatore

          protected java.lang.String codCategoriaOperatore

    - #### codTipoIntervento

          protected java.lang.String codTipoIntervento

    - #### codTipoFrequenza

          protected java.lang.String codTipoFrequenza

    - #### numAccessi

          protected java.lang.String numAccessi

    - #### elencoAttivitaAssistenziale

          protected InterventoPAIResponse.ElencoAttivitaAssistenziale elencoAttivitaAssistenziale

    - #### codStrutturaSanitaria

          protected java.lang.String codStrutturaSanitaria

  - ### Constructor Detail

    - #### InterventoPAIResponse

          public InterventoPAIResponse()

  - ### Method Detail

    - #### getIdInterventoPAI

          public java.lang.String getIdInterventoPAI()

      Recupera il valore della proprietà idInterventoPAI.
      Returns:
        possible object is `String`

    - #### setIdInterventoPAI

          public void setIdInterventoPAI(java.lang.String value)

      Imposta il valore della proprietà idInterventoPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodCategoriaOperatore

          public java.lang.String getCodCategoriaOperatore()

      Recupera il valore della proprietà codCategoriaOperatore.
      Returns:
        possible object is `String`

    - #### setCodCategoriaOperatore

          public void setCodCategoriaOperatore(java.lang.String value)

      Imposta il valore della proprietà codCategoriaOperatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodTipoIntervento

          public java.lang.String getCodTipoIntervento()

      Recupera il valore della proprietà codTipoIntervento.
      Returns:
        possible object is `String`

    - #### setCodTipoIntervento

          public void setCodTipoIntervento(java.lang.String value)

      Imposta il valore della proprietà codTipoIntervento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodTipoFrequenza

          public java.lang.String getCodTipoFrequenza()

      Recupera il valore della proprietà codTipoFrequenza.
      Returns:
        possible object is `String`

    - #### setCodTipoFrequenza

          public void setCodTipoFrequenza(java.lang.String value)

      Imposta il valore della proprietà codTipoFrequenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumAccessi

          public java.lang.String getNumAccessi()

      Recupera il valore della proprietà numAccessi.
      Returns:
        possible object is `String`

    - #### setNumAccessi

          public void setNumAccessi(java.lang.String value)

      Imposta il valore della proprietà numAccessi.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoAttivitaAssistenziale

          public InterventoPAIResponse.ElencoAttivitaAssistenziale getElencoAttivitaAssistenziale()

      Recupera il valore della proprietà elencoAttivitaAssistenziale.
      Returns:
        possible object is `InterventoPAIResponse.ElencoAttivitaAssistenziale`

    - #### setElencoAttivitaAssistenziale

          public void setElencoAttivitaAssistenziale(InterventoPAIResponse.ElencoAttivitaAssistenziale value)

      Imposta il valore della proprietà elencoAttivitaAssistenziale.
      Parameters:
        `value` - allowed object is `InterventoPAIResponse.ElencoAttivitaAssistenziale`

    - #### getCodStrutturaSanitaria

          public java.lang.String getCodStrutturaSanitaria()

      Recupera il valore della proprietà codStrutturaSanitaria.
      Returns:
        possible object is `String`

    - #### setCodStrutturaSanitaria

          public void setCodStrutturaSanitaria(java.lang.String value)

      Imposta il valore della proprietà codStrutturaSanitaria.
      Parameters:
        `value` - allowed object is `String`